Bug 477971 - Review Request: arping - Ethernet Layer 2 ping tool
Review Request: arping - Ethernet Layer 2 ping tool
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
: arping (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 12:40 EST by Fabian Affolter
Modified: 2009-01-10 21:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-10 21:58:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-26 12:40:37 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/arping.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/arping-2.08-1.fc9.src.rpm

Project URL: http://www.habets.pp.se/synscan/programs.php?prog=arping

Description:
Arping is a util to find out it a specific IP address on the LAN is
'taken' and what MAC address owns it. Sure, you could just use
'ping' to find out if it's taken and even if the computer blocks ping
(and everything else) you still get an entry in your ARP cache.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1022402 

rpmlint output:
[fab@laptop024 i386]$ rpmlint arping*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint arping*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mamoru TASAKA 2008-12-26 12:49:59 EST
How do you think about the previous discussion for this package
(on bug 467157)?
Comment 2 Mamoru TASAKA 2008-12-26 12:50:16 EST
*** Bug 467157 has been marked as a duplicate of this bug. ***
Comment 3 manuel wolfshant 2008-12-27 00:27:11 EST
There already exists an utility named arping packaged for fedora (it's in the iputils rpm), so for sure you cannot use
%{_mandir}/man*/%{name}*.*
%{_bindir}/arping

As of comments, I still stand behind https://bugzilla.redhat.com/show_bug.cgi?id=467157#c7 and https://bugzilla.redhat.com/show_bug.cgi?id=239470#c5 (and the next ones from https://bugzilla.redhat.com/show_bug.cgi?id=239470)
Comment 4 Christoph Wickert 2009-01-03 10:00:47 EST
Oops, I did not read the comments before I took the review. This arping implementation is a little different and installs to %{_bindir} instead of %{_sbindir}, but the manpage collides with the one from iputils.

Fabian, IMO i doesn't make sense to have another arping. If you want to submit something, do arping-ng (and install as arping-ng to avoid namespace collisions). What do you think?
Comment 5 Fabian Affolter 2009-01-05 06:34:01 EST
I think that I will merge my spec file with the one from 239470 and go on with arping-ng.  It would be unfortunate to stop now because a lot of people thought about this tool in several bug reports.
Comment 6 Christoph Wickert 2009-01-10 21:58:33 EST
Ok, I'm going to close this review now. Please open a new one when you have packaged arping-ng and cc me there.

Note You need to log in before you can comment on or make changes to this bug.